/*
 * BIOS/Flashrom driver for Linux
 *
 * Copyright (C) 1998-2002 Stefan Reinauer <stepan@suse.de>
 *
 */

extern int flashcount;

void flash_command(unsigned char command);

void flash_program (void);
void flash_program_atmel (void);

void flash_probe(void);
int flash_probe_address(void *address, int (*activate)(int, void *), void *data);

int  flash_ready_toggle (unsigned int offset);
int  flash_ready_poll (unsigned int offset, unsigned char data);

int  flash_erase (unsigned int flashnum);
int  flash_erase_sectors (unsigned int flashnum, unsigned int startsec, unsigned int endsec);

void iflash_program_byte  (unsigned int offset, unsigned char data);
int  iflash_erase_sectors (unsigned int flashnum, unsigned int startsec, unsigned int endsec);

unsigned char flash_readb(unsigned int offset);
void flash_writeb(unsigned int offset, unsigned char data);

